log4shib 2.0.0

Public Types | Public Member Functions | Static Public Member Functions | Protected Member Functions | Protected Attributes | Friends | List of all members
log4shib::HierarchyMaintainer Class Reference

HierarchyMaintainer is an internal log4shib class. More...

`#include <HierarchyMaintainer.hh>`

## Public Types
typedef std::map< std::string, Category * > | CategoryMap

## Public Member Functions
| HierarchyMaintainer ()
virtual | ~HierarchyMaintainer ()
virtual Category * | getExistingInstance (const std::string &name)
virtual Category & | getInstance (const std::string &name)
virtual std::vector< Category * > * | getCurrentCategories () const
virtual void | shutdown ()
virtual void | deleteAllCategories ()

## Static Public Member Functions
static HierarchyMaintainer & | getDefaultMaintainer ()

## Protected Member Functions
virtual Category * | _getExistingInstance (const std::string &name)
virtual Category & | _getInstance (const std::string &name)

## Protected Attributes
CategoryMap | _categoryMap
threading::Mutex | _categoryMutex

## Friends
class | Log4cppCleanup

## Detailed Description

HierarchyMaintainer is an internal log4shib class.

It is responsible for maintaining the hierarchy of Categories. Applications should not have to use this class directly.

## Member Typedef Documentation

## ◆ CategoryMap

typedef std::map<std::string, Category*> log4shib::HierarchyMaintainer::CategoryMap

## Constructor & Destructor Documentation

## ◆ HierarchyMaintainer()

log4shib::HierarchyMaintainer::HierarchyMaintainer | ( |  | ) |

## ◆ ~HierarchyMaintainer()

log4shib::HierarchyMaintainer::~HierarchyMaintainer | ( |  | ) |
| virtual

## Member Function Documentation

## ◆ _getExistingInstance()

Category * log4shib::HierarchyMaintainer::_getExistingInstance | ( | const std::string & | name | ) |
| protected virtual

## ◆ _getInstance()

Category & log4shib::HierarchyMaintainer::_getInstance | ( | const std::string & | name | ) |
| protected virtual

## ◆ deleteAllCategories()

void log4shib::HierarchyMaintainer::deleteAllCategories | ( |  | ) |
| virtual

## ◆ getCurrentCategories()

std::vector< Category * > * log4shib::HierarchyMaintainer::getCurrentCategories | ( |  | ) | const
| virtual

## ◆ getDefaultMaintainer()

HierarchyMaintainer & log4shib::HierarchyMaintainer::getDefaultMaintainer | ( |  | ) |
| static

## ◆ getExistingInstance()

Category * log4shib::HierarchyMaintainer::getExistingInstance | ( | const std::string & | name | ) |
| virtual

## ◆ getInstance()

Category & log4shib::HierarchyMaintainer::getInstance | ( | const std::string & | name | ) |
| virtual

## ◆ shutdown()

void log4shib::HierarchyMaintainer::shutdown | ( |  | ) |
| virtual

## Friends And Related Function Documentation

## ◆ Log4cppCleanup

friend class Log4cppCleanup
| friend

## Member Data Documentation

## ◆ _categoryMap

CategoryMap log4shib::HierarchyMaintainer::_categoryMap
| protected

## ◆ _categoryMutex

threading::Mutex log4shib::HierarchyMaintainer::_categoryMutex
| mutable protected

The documentation for this class was generated from the following files:

- HierarchyMaintainer.hh
- HierarchyMaintainer.cpp